# ACE_Utils::ACE_UUID Class Reference

`#include <UUID.h>`

## Detailed Description

ACE_UUID represents a Universally Unique IDentifier (UUID) as described in (the expired) INTERNET-DRAFT specification entitled UUIDs and GUIDs. All instances of UUID are of the time-based variety. That is, the version number part of the timeHiAndVersion field is 1.

The default constructor creates a nil UUID.

UUIDs have value semantics. In addition, they may be compared for ordering and equality.

Additionally in this implementation provisions have been made to include process and thread ids to make the UUIDs more unique. The variant 0xc0 has been added to facilitate this.

The documentation for this class was generated from the following file:

- UUID.h